Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023376
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminoralways2013-03-22 01:002013-12-02 13:07
ReporterngarciaView Statuspublic 
Assigned Topramakrishnan 
PriorityimmediateResolutionfixedFixed in Version3.0MP30
StatusclosedFix in branchFixed in SCM revision62a85d47cd4c
ProjectionnoneETAnoneTarget Version3.0MP30
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojonalegriaesarte
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0023376: Exchange rate is rounded to 2 when adding a payment for a transaction

DescriptionExchange rate is rounded to 2 when adding a payment for a transaction, although the first same it is showed with the format defined for generalQty
Steps To ReproduceAs group admin role:
   Change the price list Tarifa Bebidas Alegres to USD
   Configure the Transferencia payment method to allow making payments in multiple currencies
   Create a Purchase Order for Bebidas Alegres business partner and Transferencia payment method
   Add a line to it and book it
   Go to Cuenta de Banco financial account and click on Add Transaction
   Select Paid out document and click on Add Payment In/Out button
   Select:
      To Be Paid To: Bebidas Alegres
      Currency: USD
      Transaction Type: Order
   Select the previously created order
   Add in the Actual Converted field the total amount in USD multiplied by a digit with at least 3 decimals
   Notice that the exchange rate is rounded to 2 and the expected converted amount is different from the actual converted
   If you process and post it, the difference is shown in the currency balancing account
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0058076)
pramakrishnan (developer)
2013-04-21 13:20

As group admin role:
   Change the price list Tarifa Bebidas Alegres to USD
   Configure the Transferencia payment method to allow making payments in multiple currencies
   Create a Purchase Order for Bebidas Alegres business partner and Transferencia payment method
   Add a line to it and book it
   Go to Cuenta de Banco financial account and click on Add Transaction
   Select Paid out document and click on Add Payment In/Out button
   Select:
      To Be Paid To: Bebidas Alegres
      Currency: USD
      Transaction Type: Order
   Select the previously created order
   Add in the Actual Converted field the total amount in USD multiplied by a digit with at least 3 decimals
   Notice that the expected converted amount and the actual converted are same.
(0058165)
hgbot (developer)
2013-04-24 10:53

Repository: erp/devel/pi
Changeset: b1183f88c4a6f39032e9df0d9cc186b67235ef36
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Tue Apr 23 22:28:03 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/b1183f88c4a6f39032e9df0d9cc186b67235ef36 [^]

Fixes issue 23376: Exchange rate is rounded when adding payment for a transaction

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/FIN_Utilities.js
---
(0058166)
Sandrahuguet (developer)
2013-04-24 10:55

Code review + testing OK
(0058205)
hudsonbot (developer)
2013-04-25 01:51

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9fa1ecafd560 [^]

Maturity status: Test
(0062272)
hgbot (developer)
2013-11-20 06:34

Repository: erp/devel/pi
Changeset: ae3cfe1b2eddc2c22262059a793b2ec72cca6d65
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Mon Nov 18 17:25:08 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/ae3cfe1b2eddc2c22262059a793b2ec72cca6d65 [^]

Backout Issue 23376

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/FIN_Utilities.js
---
(0062273)
hgbot (developer)
2013-11-20 06:34

Repository: erp/devel/pi
Changeset: 62a85d47cd4c45044c4c18678797444d23155128
Author: Pandeeswari Ramakrishnan <pandeeswari.ramakrishnan <at> openbravo.com>
Date: Wed Nov 20 11:03:02 2013 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/62a85d47cd4c45044c4c18678797444d23155128 [^]

Fixes Issue 23376: Exchange rate is rounded when adding payment for a transaction
The exchange rate field must be formatted with generalQtyEdition format

---
M modules/org.openbravo.advpaymentmngt/web/org.openbravo.advpaymentmngt/FIN_Utilities.js
---
(0062331)
hudsonbot (developer)
2013-11-21 15:46

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/44d0ece7c5ab [^]

Maturity status: Test
(0062332)
hudsonbot (developer)
2013-11-21 15:46

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/44d0ece7c5ab [^]

Maturity status: Test
(0062488)
jonalegriaesarte (reporter)
2013-12-02 13:07

Tested and working fine.

- Issue History
Date Modified Username Field Change
2013-03-22 01:00 ngarcia New Issue
2013-03-22 01:00 ngarcia Assigned To => dmiguelez
2013-03-22 01:00 ngarcia Modules => Core
2013-03-22 01:00 ngarcia Triggers an Emergency Pack => No
2013-03-22 01:00 ngarcia Issue Monitored: networkb
2013-03-25 09:46 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-04-18 10:12 jonalegriaesarte Assigned To jonalegriaesarte => dmiguelez
2013-04-21 12:18 pramakrishnan Assigned To dmiguelez => pramakrishnan
2013-04-21 12:18 pramakrishnan Status new => scheduled
2013-04-21 12:18 pramakrishnan fix_in_branch => pi
2013-04-21 13:20 pramakrishnan Note Added: 0058076
2013-04-24 10:53 hgbot Checkin
2013-04-24 10:53 hgbot Note Added: 0058165
2013-04-24 10:53 hgbot Status scheduled => resolved
2013-04-24 10:53 hgbot Resolution open => fixed
2013-04-24 10:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b1183f88c4a6f39032e9df0d9cc186b67235ef36 [^]
2013-04-24 10:55 Sandrahuguet Note Added: 0058166
2013-04-24 10:55 Sandrahuguet Review Assigned To => Sandrahuguet
2013-04-24 10:55 Sandrahuguet Status resolved => closed
2013-04-25 01:51 hudsonbot Checkin
2013-04-25 01:51 hudsonbot Note Added: 0058205
2013-11-13 16:39 ngarcia Status closed => new
2013-11-13 16:39 ngarcia Resolution fixed => open
2013-11-13 17:44 ngarcia Priority high => immediate
2013-11-13 17:44 ngarcia Target Version 3.0MP23 => 3.0MP30
2013-11-13 17:44 ngarcia fix_in_branch pi =>
2013-11-18 09:52 pramakrishnan Status new => scheduled
2013-11-18 09:52 pramakrishnan fix_in_branch => pi
2013-11-19 13:28 jonalegriaesarte Review Assigned To Sandrahuguet => jonalegriaesarte
2013-11-19 13:28 jonalegriaesarte fix_in_branch pi =>
2013-11-20 06:34 hgbot Checkin
2013-11-20 06:34 hgbot Note Added: 0062272
2013-11-20 06:34 hgbot Checkin
2013-11-20 06:34 hgbot Note Added: 0062273
2013-11-20 06:34 hgbot Status scheduled => resolved
2013-11-20 06:34 hgbot Resolution open => fixed
2013-11-20 06:34 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/b1183f88c4a6f39032e9df0d9cc186b67235ef36 [^] => http://code.openbravo.com/erp/devel/pi/rev/62a85d47cd4c45044c4c18678797444d23155128 [^]
2013-11-21 15:46 hudsonbot Checkin
2013-11-21 15:46 hudsonbot Note Added: 0062331
2013-11-21 15:46 hudsonbot Checkin
2013-11-21 15:46 hudsonbot Note Added: 0062332
2013-12-02 13:07 jonalegriaesarte Note Added: 0062488
2013-12-02 13:07 jonalegriaesarte Status resolved => closed
2013-12-02 13:07 jonalegriaesarte Fixed in Version => 3.0MP30


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker